Unable to Install Exchange 2010 SP1 Unified Messaging Role

/

I recently installed the Exchange 2010 SP1 Unified Messaging (UM) role at a client and in that process I was installing the pre-requirements:

  • Unified Communications Managed API 2.0, Core Runtime
  • Microsoft Speech Platform – Server Runtime

I found that there are multiple versions of the Speech Platform Runtime, available as download:

Since this was a new installation, I was about to download and install version 10.2. Be aware that this version is not supported with Exchange 2010 SP1 and you might experience that the Exchange 2010 SP1 Readiness Check will not recognize the Speech Platform Runtime installed as a pre-requirement.

The solution is to install version 10.1 of the Speech Platform Runtime.

Why it does not recognize the version 10.2 I do not know, maybe it is a version mismatch in Exchange 2010 SP1.

3 thoughts on “Unable to Install Exchange 2010 SP1 Unified Messaging Role”

  1. Thanks you saved my hair,  I just spent 3 hours on that issue.  Boy you would think M$ can pull this together.  It's not the first time and it won't be the last. – now I'm just venting

  2. Me three, thanks a million.  I'd spent a good 10 hours whittling away at the various prerequisite installation tasks, only to be thwarted by a lack of m'soft speech platform… Sure, best practice, install the most updated version(s).  Unbelievably frustrating! Thanks again for helping with the insanity.

  3. Do you by any chance knows or have the ucma 2.0 installation file? We are trying to install Exchange SP1 with UM role only (we want to add it to our existing Exchange environment) and we came across the error you mentioned in this post (thank you! we could resolve that error), but also we are getting the error that we need the Microsoft Unified Communications Managed API, Core Runtime 64-bit. The links to the Microsoft website doesn’t work, so I was wondering if you had that file by any chance.

    I know this is an old post but I wanted to give it a try.

Comments are closed.